Search documentation of wx

# View Source wxHtmlLinkEvent (wx v2.4.2)

Functions for wxHtmlLinkEvent class

This event class is used for the events generated by `wxHtmlWindow`.

This class is derived (and can use functions) from: `wxCommandEvent` `wxEvent`

wxWidgets docs: wxHtmlLinkEvent

## Events

Use `wxEvtHandler:connect/3` with `wxHtmlLinkEventType` to subscribe to events of this type.

# Summary

## Types

wxHtmlLink()
wxHtmlLinkEvent()
wxHtmlLinkEventType()

## Functions

getLinkInfo(This)

Returns the `wx_wxHtmlLinkInfo()` which contains info about the cell clicked and the hyperlink it contains.

# Types

Link to this type

# wxHtmlLink()

View Source

    -type wxHtmlLink() ::
              #wxHtmlLink{type :: wxHtmlLinkEvent:wxHtmlLinkEventType(), linkInfo :: wx:wx_wxHtmlLinkInfo()}.

Link to this type

# wxHtmlLinkEvent()

View Source

    -type wxHtmlLinkEvent() :: wx:wx_object().

Link to this type

# wxHtmlLinkEventType()

View Source

    -type wxHtmlLinkEventType() :: command_html_link_clicked | html_cell_clicked | html_cell_hover.

# Functions

Link to this function

# getLinkInfo(This)

View Source

    -spec getLinkInfo(This) -> wx:wx_wxHtmlLinkInfo() when This :: wxHtmlLinkEvent().

Returns the `wx_wxHtmlLinkInfo()` which contains info about the cell clicked and the hyperlink it contains.